// 需要登录的路由
export const router = [
  {
    path: '/orderDetail',
    name: 'orderDetail',
    component: () => import('@/views/order-detail/index'),
    meta: {
      title: '订单详情'
    }
  },
  {
    path: '/tradeDetail',
    name: 'tradeDetail',
    component: () => import('@/views/trade/trade-detail'),
    meta: {
      title: '交易详情'
    }
  },
  {
    path: '/goodsOrder',
    name: 'goodsOrder',
    component: () => import('@/views/goods-order/index'),
    meta: {
      title: '商品订单'
    }
  },
  {
    path: '/afterSale',
    name: 'afterSale',
    component: () => import('@/views/goods-order/after-sale'),
    meta: {
      title: '售后服务'
    }
  },
  {
    path: '/afterService',
    name: 'afterService',
    component: () => import('@/views/after-service/index'),
    meta: {
      title: '售后服务'
    }
  },
  {
    path: '/helpCenter',
    name: 'helpCenter',
    component: () => import('@/views/article-center/help-center')
  },
  {
    path: '/helpCenterDetail',
    name: 'helpCenterDetail',
    component: () => import('@/views/article-center/help-center-detail')
  },
  {
    path: '/special',
    name: 'special',
    component: () => import('@/views/article-center/special'),
    meta: {
      title: '资讯列表'
    }
  },
  {
    path: '/specialDetail',
    name: 'specialDetail',
    component: () => import('@/views/article-center/special-detail'),
    meta: {
      title: '资讯详情'
    }
  },
  {
    path: '/articleTheory',
    name: 'articleTheory',
    component: () => import('@/views/article-center/theory'),
    meta: {
      title: '乐理列表'
    }
  },
  {
    path: '/theoryDetail',
    name: 'theoryDetail',
    component: () => import('@/views/article-center/theory-detail'),
    meta: {
      title: '乐理详情'
    }
  },
  {
    path: '/shopMall',
    name: 'shopMall',
    component: () => import('@/views/shop-mall/index'),
    meta: {
      title: '商城'
    }
  },
  {
    path: '/goodsList',
    name: 'goodsList',
    component: () => import('@/views/shop-mall/goods-list/index'),
    meta: {
      title: '商品列表'
    }
  },
  {
    path: '/goodsDetail',
    name: 'goodsDetail',
    component: () => import('@/views/shop-mall/goods-detail'),
    meta: {
      title: '商品详情'
    }
  },
  {
    path: '/cart',
    name: 'cart',
    component: () => import('@/views/cart'),
    meta: {
      title: '购物车'
    }
  },
  {
    path: '/cartConfirm',
    name: 'cartConfirm',
    component: () => import('@/views/cart/cart-confirm'),
    meta: {
      title: '确认订单'
    }
  },
  {
    path: '/shopOrderDetail',
    name: 'shopOrderDetail',
    component: () => import('@/views/shop-mall/shop-order-detail'),
    meta: {
      title: '订单详情'
    }
  }
]

// 不需要登录的路由
export const rootRouter = [
  {
    path: '/registerProtocol',
    name: 'registerProtocol',
    component: () => import('@/views/protocol/register'),
    meta: {
      title: '注册协议'
    }
  },
  {
    path: '/privacyProtocol',
    name: 'privacyProtocol',
    component: () => import('@/views/protocol/privacy'),
    meta: {
      title: '酷乐秀隐私政策'
    }
  }
]
