import { Tab, Tabs } from 'vant'
import { defineComponent, ref } from 'vue'
import Practice from './practice'
import Personal from './personal'
import Collection from './collection'
import Album from './album'

import styles from './index.module.less'

export default defineComponent({
  name: 'MusicPersonal',
  setup() {
    const activeTab = ref('personal')
    return () => {
      return (
        <div class={styles.personal}>
          <Practice />
          <Tabs
            color="var(--van-primary)"
            background="transparent"
            lineWidth={20}
            shrink
            v-model:active={activeTab.value}
            onChange={val => (activeTab.value = val)}
          >
            <Tab title="我的单曲" name="personal"></Tab>
            <Tab title="收藏单曲" name="collection"></Tab>
            <Tab title="收藏专辑" name="album"></Tab>
          </Tabs>
          {activeTab.value === 'personal' && <Personal />}
          {activeTab.value === 'collection' && <Collection />}
          {activeTab.value === 'album' && <Album />}
        </div>
      )
    }
  }
})
