import request from '@/helpers/request'
import { useAsyncState } from '@vueuse/core'
import { defineComponent } from 'vue'
import { Cell } from 'vant'
import Item from '../list/item'

export default defineComponent({
  name: 'Practice',
  setup() {
    const { isLoading, state } = useAsyncState(
      request.get('/api-student/music/sheet/practice', {
        params: {
          rows: 3
        }
      }),
      null
    )
    return () => {
      const list: any[] = state.value?.data.rows || []
      return (
        <>
          {list.length > 0 && <Cell title="最近练习" />}
          {list.map(item => (
            <Item data={item} />
          ))}
        </>
      )
    }
  }
})
