import { defineComponent } from 'vue'
import { Cell, Sticky } from 'vant'
import Search from '@/components/col-search'
import Album from './album'
import List from './list'
import styles from './index.module.less'
import { useRouter } from 'vue-router'

export default defineComponent({
  name: 'Songbook',
  setup() {
    const router = useRouter()
    return () => (
      <div class={styles.songbook}>
        <Sticky
          class={styles.sticky}
          onClick={() => {
            router.push('/music-search')
          }}
        >
          <Search disabled showAction />
        </Sticky>
        <Cell
          class={styles.title}
          title="专辑"
          is-link
          to="/music-album"
          value="更多"
        />
        <Album />
        <Cell
          class={styles.title}
          title="曲谱"
          is-link
          to="/music-list"
          value="更多"
        />
        <List />
      </div>
    )
  }
})
