import { defineComponent } from 'vue'
import { Image } from 'vant'
import request from '@/helpers/request'
import { useAsyncState } from '@vueuse/core'
import Item from '../list/item'
import styles from './index.module.less'
import { musicBuy } from '../music'
import { useRouter } from 'vue-router'

export default defineComponent({
  name: 'Songbook',
  setup() {
    const router = useRouter()
    const { isLoading, state } = useAsyncState(
      request.post('/api-student/music/sheet/list', {
        data: {}
      }),
      null
    )

    return () =>
      state.value && state.value.data.rows.length ? (
        <div class={styles.listContainer}>
          {state.value.data.rows.map(item => (
            <Item
              data={item}
              onClick={(item: any) => {
                musicBuy(item, (path: any) => {
                  router.push({
                    path,
                    query: {
                      orderType: 'MUSIC'
                    }
                  })
                })
              }}
            />
          ))}
        </div>
      ) : null
  }
})
