import ColResult from '@/components/col-result'
import { Dialog, List } from 'vant'
import { defineComponent } from 'vue'
import styles from './music.module.less'
import MusicList from '@/student/music/list'
import { state } from '@/state'
import { orderStatus } from '@/views/order-detail/orderStatus'
import { musicBuy } from '@/student/music/music'

export default defineComponent({
  name: 'music',
  data() {
    const query = this.$route.query
    return {
      teacherId: query.teacherId as string,
      list: [],
      dataShow: false, // 判断是否有数据
      loading: false,
      finished: false,
      params: {
        page: 1,
        rows: 20
      }
    }
  },
  methods: {
    onItemClick(item: any) {
      musicBuy(item, path => {
        this.$router.push({
          path,
          query: {
            orderType: 'MUSIC'
          }
        })
      })
    }
  },
  render() {
    return (
      <>
        <MusicList
          hideSearch
          onItemClick={this.onItemClick}
          teacherId={this.teacherId}
        />
      </>
    )
  }
})
