import { createApp } from 'vue'
import App from './App.vue'
import dayjs from 'dayjs'
import 'dayjs/locale/zh-cn'
import router from '../router/index-teacher'
import vueFilter from '@/helpers/vueFilter'

import 'normalize.css'

import '../styles/index.less'
import { state } from '@/state'

const app = createApp(App)

// 将selects全局混入当前vue实例中
// import activeButtonIcon from '@/common/images/icon_check.png';
// import inactiveButtonIcon from '@/common/images/icon_default.png';
// app.mixin({
//   data() {
//     return {
//       activeButtonIcon: activeButtonIcon,
//       inactiveButtonIcon: inactiveButtonIcon,
//     };
//   }
// });

// import Vconsole from 'vconsole'
// const vconsole = new Vconsole()
state.platformType = 'TEACHER'

dayjs.locale('zh-ch')
app.config.globalProperties.$dayjs = dayjs
app.config.globalProperties.$filters = vueFilter
app.use(router)

app.mount('#app')
