import { Cell, Icon } from 'vant'
import { defineComponent, onMounted, ref } from 'vue'
import styles from './index.module.less'
import iconAddress from '@views/shop-mall/images/icon-address.png'
import request from '@/helpers/request'

export default defineComponent({
  name: 'cart-address',
  setup() {
    const address = ref('')
    const addressList = ref([])

    const getList = async () => {
      try {
        const { code, data } = await request.get(
          '/api-mall-portal/member/address/list'
        )
        if (code === 200) addressList.value = data
        if (data.length) address.value = data[0] || ''
      } catch (error) {}
    }
    onMounted(() => {
        getList()
    })

    return () => (
      <>
        {address.value === '' ? (
          <Cell
            class={styles.cellEntry}
            is-link
            v-slots={{
              icon: () => <Icon name={iconAddress} size={38} />,
              title: () => <span>去填写收货地址</span>
            }}
          ></Cell>
        ) : (
          <Cell
            class={styles.cell}
            is-link
            v-slots={{
              icon: () => <Icon name={iconAddress} size={19} />,
              title: () => (
                <div>
                  <span class={styles.userName}>李晨</span>
                  <span class={styles.phone}>173****3706</span>
                </div>
              ),
              label: () => (
                <span class={styles.addressInfo}>
                  湖北省武汉市武昌区水果湖楚河汉街
                </span>
              )
            }}
          ></Cell>
        )}
      </>
    )
  }
})
