import ColHeader from '@/components/col-header'
import ColResult from '@/components/col-result'
import {
  ActionSheet,
  Button,
  Cell,
  CellGroup,
  Field,
  Image,
  List,
  Tab,
  Tabs
} from 'vant'
import { defineComponent } from 'vue'
import styles from './index.module.less'

export default defineComponent({
  name: 'after-sale',
  data() {
    return {
      active: '0',
      list: [1],
      dataShow: true, // 判断是否有数据
      loading: false,
      finished: false,
      params: {
        search: '',
        groupStatus: 'APPLY',
        page: 1,
        rows: 20
      },
      show: false
    }
  },
  methods: {
    getList() {}
  },
  render() {
    return (
      <div class={styles.shopOrder}>
        <ColHeader
          v-slots={{
            default: () => (
              <Tabs
                v-model:active={this.active}
                color="var(--van-primary)"
                lineWidth={28}
              >
                <Tab name="0" title="全部"></Tab>
                <Tab name="1" title="处理中"></Tab>
                <Tab name="2" title="已处理"></Tab>
              </Tabs>
            )
          }}
        />

        {this.dataShow ? (
          <List
            v-model:loading={this.loading}
            finished={this.finished}
            finishedText=" "
            class={[styles.goodsList]}
            onLoad={this.getList}
          >
            {this.list.map((item: any) => (
              <CellGroup class={styles.cellGroup}>
                <Cell
                  center
                  v-slots={{
                    icon: () => (
                      <Image
                        class={styles.goodsImg}
                        src="https://cdn.jsdelivr.net/npm/@vant/assets/cat.jpeg"
                        fit="cover"
                      />
                    ),
                    default: () => (
                      <div class={styles.goodsContainer}>
                        <div class={[styles.goodsTitle, 'van-ellipsis']}>
                          次中音号降调JBBR-1220次中音号降调JBBR-1220次中音号降调JBBR-1220
                        </div>
                        <div class={styles.model}>型号：默认</div>
                        <div class={styles.goodsPrice}>
                          <span class={styles.price}>
                            <i>¥</i>2,5000.0
                          </span>
                          <span class={styles.num}>x1</span>
                        </div>
                      </div>
                    )
                  }}
                ></Cell>
                <Cell
                  center
                  v-slots={{
                    default: () => (
                      <div class={styles.btnList}>
                        <Button
                          size="small"
                          round
                          type="primary"
                          onClick={() => {
                            this.show = true
                          }}
                        >
                          申请退货
                        </Button>
                      </div>
                    )
                  }}
                ></Cell>
              </CellGroup>
            ))}
          </List>
        ) : (
          <ColResult btnStatus={false} classImgSize="SMALL" tips="暂无数据" />
        )}

        <ActionSheet v-model:show={this.show} title="退货原因">
          <div style={{ paddingTop: '15px' }}>
            <Field
              class={[styles.field]}
              placeholder="请输入退货原因"
              type="textarea"
              rows={3}
            />
            <Field class={[styles.field]} placeholder="请输入退货快递单号" />
          </div>
          <div class={styles['btn-group']}>
            <Button type="primary" block round>
              确定
            </Button>
          </div>
        </ActionSheet>
      </div>
    )
  }
})
