import { Row, Col, Image, Icon } from 'vant'
import { defineComponent } from 'vue'
import styles from './index.module.less'

export const getAssetsHomeFile = (fileName: string) => {
  const path = `../../images/${fileName}`
  const modules = import.meta.globEager('../../images/*')
  return modules[path].default
}

export default defineComponent({
  name: 'hot-goods',
  props: {
    hotProductList: {
      type: Array,
      default: []
    }
  },
  render() {
    return (
      <div class={styles.hotGoods}>
        <Row style={{ padding: '9px 0 6px' }}>
          <Col span={8} class={styles.title}>
            <Icon name={getAssetsHomeFile('icon-fire.png')} size={18} />
            热销商品
          </Col>
          <Col span={16} class={styles.tips}>
            <div>
              <Icon
                name={getAssetsHomeFile('icon-genuine-goods.png')}
                size={14}
              />
              正品商品
            </div>
            <div>
              <Icon
                name={getAssetsHomeFile('icon-after-sales.png')}
                size={14}
              />
              安心售后
            </div>
          </Col>
        </Row>
        <div class={styles.hotGoodsSection}>
          {this.hotProductList.map((item: any) => (
            <div class={styles.hotGoodsItem}>
              <Image
                class={styles.hotGoodsItemImg}
                src={item.pic}
                fit="cover"
              />
            </div>
          ))}
        </div>
      </div>
    )
  }
})
